package main

import (
	"chat/srv"
	"fmt"
	"os"
)

var config srv.Config

func init() {
	if len(os.Args) < 2 {
		fmt.Printf("Usage: %s <config.json>\n", os.Args[0])
		os.Exit(1)
	}
	config = srv.LoadConfig(os.Args[1])
	fmt.Println("Config loaded")
}

func main() {
	srv.NewServer(config).Run()
}
